$STORAGE: 4
$DO66
      SUBROUTINE LEGU(N)
C                       PRINTS THE INITIAL PART OF UPPER-CASE 'B','D',
C     'E','F','H','I','K','L','M','N','P' AND 'R';    M,N: N=4
C                                                  OTHERS: N=7
C
      DIMENSION KS(16)
      COMMON /LINES/ LINE(132),LINEX(132)
	CHARACTER*1 LINE,LINEX
61    FORMAT(1X,132A1)
62    FORMAT(1H+,132A1)
      DATA KS/7,8,72,73,8,9,71,72,9,10,70,71,10,13,67,70/
      CALL BAXX(1,1)
      CALL FRNT(0,6)
      CALL FRNT(74,80)
      DO 10 I=1,3
      WRITE(2,61) LINE
10    WRITE(2,62) LINEX
      CALL FRNT(6,7)
      CALL FRNT(73,74)
      DO 20 I=1,3
      WRITE(2,61) LINE
20    WRITE(2,62) LINEX
      DO 30 I=1,4
      K = 4*(I-1) + 1
      CALL FRNT(KS(K),KS(K+1))
      CALL FRNT(KS(K+2),KS(K+3))
      WRITE(2,61) LINE
30    WRITE(2,62) LINEX
      CALL FRNT(13,67)
      DO 40 I=1,N
      WRITE(2,61) LINE
40    WRITE(2,62) LINEX
      RETURN
      END

